/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//WBT個別ログ　共通関数
//
//		変更履歴
//			2005.01.31  新規作成  OGA
//
//	機能
//
//WBT個別のログ共通関数
//
/////////////////////////////////////////////////////////////////

/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.wbt.IndividualLog.inc;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogComFunc_inc {

	
	/**
	 * 
	 */
	public IndividualLogComFunc_inc() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}
	/**
	 * 小数点以下第二位で四捨五入します。
	 * パーセント表示に変換します。
	 * @param 割る数
	 * @param 割られる数
	 * @return 結果
	 */

	public float getMathRound2( float f1, float f2){
		float result = 0;
		// 0割対策
		if ( f2 != 0 ){
			// 四捨五入
			result = (float)((int)Math.round( (f1 / f2) * 1000.0 )/ 10.0);
		}

		return result;
	}

	/**
	 * 小数点以下第二位で四捨五入します。
	 * @param 割る数
	 * @param 割られる数
	 * @return 結果
	 */

	public float getMathRound( float f1, float f2){
		float result = 0;
		// 0割対策
		if ( f2 != 0 ){
			// 四捨五入
			result = (float)((int)Math.round( (f1 / f2) * 10.0 )/ 10.0);
		}

		return result;
	}

}
